local Faire = ...

Faire:register({
	DataType = "MONUMENT",
	Id = "MEDIEVAL_FAIRE",
	Name = "FAIRE_NAME",
	Description = "FAIRE_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "LIST_FAIRE_NAME",
	        BuildingPartList = {
				"TENT_RB_SMALL_PART",
				"TENT_BY_SMALL_PART",
				"TENT_GW_SMALL_PART",
				"TENT_RB_LARGE_PART",
				"TENT_BY_LARGE_PART",
				"TENT_GW_LARGE_PART",
				"TENT_RB_LONG_PART",
				"TENT_BY_LONG_PART",
				"TENT_GW_LONG_PART",
				"TENT_RB_VIKING_PART",
				"TENT_BY_VIKING_PART",
				"TENT_GW_VIKING_PART",
				"CANOPY_RB_PART",
				"CANOPY_BY_PART",
				"CANOPY_GW_PART",
				"CANOPY_RB_SLANTED_PART",
				"CANOPY_BY_SLANTED_PART",
				"CANOPY_GW_SLANTED_PART",
				"CANOPY_RB_LARGE_PART",
				"CANOPY_BY_LARGE_PART",
				"CANOPY_GW_LARGE_PART",
				"FENCE_FLAGS_RB_PART",
				"FENCE_FLAGS_BY_PART",
				"FENCE_FLAGS_GW_PART",
				"GATE_FLAGS_RB_PART",
				"GATE_FLAGS_BY_PART",
				"GATE_FLAGS_GW_PART",
				"TENT_VIKING_PART",
				"GATE_PART",
				"FLAG_POLE_PART"
			}
		},
		{
			Name = "LIST_JOUSTING_NAME",
	        BuildingPartList = {
				"STANDS_PART",
				"STANDS_COVERED_PART",
				"STAIRS_WOODEN_PART",
				"FENCE_BARRIER_PART",
				"QUINTAIN1",
				"QUINTAIN2",
				"RACK_LANCES"
			}
		},
		{
			Name = "LIST_SHIELDS_NAME",
	        BuildingPartList = {
				"SHIELD1_PART",
				"SHIELD2_PART",
				"SHIELD3_PART",
				"SHIELD4_PART",
				"SHIELD5_PART"
			}
		},
		{
			Name = "LIST_FLAGS_NAME",
	        BuildingPartList = {
				"FLAG1_PART",
				"FLAG2_PART",
				"FLAG3_PART",
				"FLAG4_PART",
				"FLAG5_PART",
				"FLAG6_PART",
				"FLAG7_PART",
				"FLAG8_PART",
				"FLAG9_PART",
				"FLAG10_PART",
				"FLAG11_PART",
				"FLAG12_PART",
				"FLAG13_PART",
				"FLAG14_PART",
				"FLAG15_PART",
				"FLAG16_PART",
				"FLAG17_PART",
				"FLAG18_PART",
				"FLAG19_PART",
				"FLAG20_PART",
				"FLAG21_PART",
				"FLAG22_PART",
				"FLAG23_PART",
				"FLAG24_PART",
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})